%global modname mailman3_fedmsg_plugin

%{!?python3_pkgversion: %global python3_pkgversion 3}

Name:               mailman3-fedmsg-plugin
Version:            1.0.0
Release:            2%{?dist}
Summary:            Emit fedora messaging messages from mailman3

License:            LGPL-3.0-or-later
URL:                https://github.com/fedora-infra/mailman3-fedmsg-plugin
Source0:            %{pypi_source %modname}

# The package requirements for zope-interface are not needed to be so high
# Let's downgrade that to something available in EPEL9
Patch1:             pyproject.patch

BuildArch:          noarch

BuildRequires:      python%{python3_pkgversion}-devel

Requires:           fedora-messaging
Requires:           python%{python3_pkgversion}-backoff
Requires:           python%{python3_pkgversion}-mailman3-fedmsg-plugin-schemas
Requires:           mailman3
Requires:           python%{python3_pkgversion}-zope-interface

%global _description %{expand:
Publish notifications about mails to the fedmsg bus.

Enable this by adding the following to your mailman.cfg file::

    [archiver.fedmsg]
    # The class implementing the IArchiver interface.
    class: mailman_fedmsg_plugin.Archiver
    enable: yes

You can exclude certain lists from fedmsg publication by
adding them to a 'mailman.excluded_lists' list in /etc/fedmsg.d/::

    config = {
        'mailman.excluded_lists': ['bugzilla', 'commits'],
    }
}

%description %_description

%package -n python3-%name
Summary: %{summary}

%description -n python3-%name %_description

%generate_buildrequires
%pyproject_buildrequires

%prep
%autosetup -p1 -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%pyproject_check_import %{modname}

%files -n python3-%{name} -f %{pyproject_files}
%doc README.md

%changelog
* Fri Apr 05 2024 Michal Konečný <mkonecny@redhat.com> - 1.0.0-2
- Bump to 1.0.0-2
The build 1.0.0-1 is already available in epep9-infra tag. And it doesn't
let us rebuild.

* Thu Apr 04 2024 Michal Konečný <mkonecny@redhat.com> - 1.0.0-1
- Bump to 1.0.0-1
- Solve the missing dependencies

* Wed Apr 03 2024 Michal Konečný <mkonecny@redhat.com> - 0.5-27
- Initial version for EPEL 9
